%bcond_with rhel4hack

%kmdl ieee80211

Summary: A generic ieee80211 networking stack for the Linux kernel
Name: ieee80211
Version: 1.2.18
Release: 22%{?dist}
License: GPL
Group: System Environment/Kernel
URL: http://ieee80211.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/ieee80211/%{name}-%{version}.tgz
Patch0: ieee80211-1.2.16-rhel4.patch
Patch1: ieee-1.2.18-oops-fix.patch
Patch2: ieee80211-1.2.18-rhel5-compile.patch
Patch3: ieee80211-1.2.18-compile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%kmdl_parentdependencies

%description
A generic ieee80211 networking stack for the Linux kernel.

%package devel
Summary: %{name} kernel header files
Group: Development/System
Provides: %{name}-kernheaders = %{evr}
Obsoletes: %{name}-kernheaders < %{evr}

%description devel
The %{name} kernel headers are used for accessing the kernel modules' API.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for ieee80211
Group: System Environment/Kernel

%description -n %kmdl_name
This package contains kernel drivers for ieee80211.

%kmdl_desc

%prep
%setup -q
%patch3 -p1 -b .fixes
%{?with_rhel4hack:%patch0 -p1}
if grep kmemdup %{kmdl_kernelsrcdir}/include/linux/slab.h > /dev/null; then
%patch2 -p1
fi
%patch1 -p1
perl -pi -e's,/sbin/depmod,:,g' Makefile
grep -rl '#include <net/ieee80211.h>' . | xargs perl -pi -e's,#include <net/ieee80211.h>,#include "net/ieee80211.h",'
perl -pi -e's,__nocast ,,' ieee80211_tx.c net/ieee80211.h

%build

%if %{kmdl_userland}
%else

%kmdl_config
make KSRC=%{kmdl_kernelsrcdir} modules

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}

mkdir -p %{buildroot}%{_includedir}/ieee80211/net
install -p -m 644 net/ieee80211.h net/ieee80211_crypt.h \
  net/ieee80211_radiotap.h \
  %{buildroot}%{_includedir}/ieee80211/net/
chmod -x LICENSE

%else

make install \
	KSRC=%{kmdl_kernelsrcdir} \
	IEEE80211_INC=%{buildroot}%{_includedir}/ieee80211 \
	KMISC=%{buildroot}%{kmdl_moduledir}/net/ieee80211

%endif


%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc LICENSE CHANGES

%files devel
%defattr(-,root,root,-)
%{_includedir}/ieee80211

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}
%exclude %{_includedir}/ieee80211

%endif


%changelog
* Sat Dec 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.18-21
- Fix build for latest RHEL5 kernels (#1322).

* Tue Jul 24 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.18-19
- Update to 1.2.18.

* Sat Jan  6 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.16-15
- Update to 1.2.16.

* Mon Aug 21 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.15-14
- Update to 1.2.15.

* Wed Aug  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.14-12
- Rename devel subpackage.
- Fix some permissions.

* Thu Jun 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.14.

* Fri Mar 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.13.

* Wed Mar  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add ugly hack for RHEL4U3.

* Wed Feb 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.12.

* Tue Jan 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.8.

* Sun Jan  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.7.

* Sun Oct 23 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.6.

* Thu Jul 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


